%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global alphatag b25

Name:           python-squaremap
Version:        1.0.0
Release:        0.4.%{alphatag}%{?dist}
Summary:        SquareMap for wxPython

Group:          Development/Libraries
License:        BSD
URL:            https://launchpad.net/squaremap
Source0:        http://pypi.python.org/packages/source/S/SquareMap/SquareMap-%{version}%{alphatag}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel

Requires:       wxPython

%description
A simple wxPython control to display hierarchic data as a recursive set of
nested squares, each of which represents the relative size of a given child
within its parent.

%prep
%setup -q -n SquareMap-%{version}%{alphatag}

# Delete pre-built egg-info:
rm -rf *.egg-info

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# squaremap.py can be run as a script, for testing purposes; it shows file
# sizes within a directory:
chmod +x $RPM_BUILD_ROOT/%{python_sitelib}/squaremap/squaremap.py
 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc
%{python_sitelib}/squaremap
%{python_sitelib}/SquareMap-*.egg-info


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.4.b25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 30 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.0-0.3.b25
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Mar 12 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.0-0.2.b25
- new upstream version (1.0.0b25)

* Tue Mar  2 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.0-0.2.b24
- fix permissions for squaremap.py
- change group to Development/Libraries
- delete prebuilt egg-info, and explicitly list egginfo in %%files stanza to
ensure it is regenerated during the build

* Wed Feb 24 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.0-0.1.b24
- initial package

